%define upstream_name    Type-Tiny
%define upstream_version 1.004002

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Reply::Plugin\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 1

Summary:    Exception for Type::Params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
the Type::Tiny manpage is a tiny class for creating Moose-like type
constraint objects which are compatible with Moo, Moose and Mouse.

Maybe now we won't need to have separate MooseX, MouseX and MooX versions
of everything? We can but hope...

This documents the internals of the Type::Tiny manpage. the
Type::Tiny::Manual manpage is a better starting place if you're new.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Oct 11 2018 bcornec <bcornec> 1.4.2-1.1.mga6
+ Revision: 1319453
- Update to 1.004002 perl-Type-Tiny to allow perl-Dancer2 to be updated

* Sun Jun 19 2016 pterjan <pterjan> 1.0.5-3.mga6
+ Revision: 1035429
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.0.5-2.mga6
+ Revision: 965770
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.0.5-1.mga6
+ Revision: 837092
- update to 1.000005

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 745653
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 shlomif <shlomif> 1.0.4-3.mga5
+ Revision: 735448
- New line
- New excludes for rpm upgrade

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-2.mga5
+ Revision: 686754
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.0.4-1.mga5
+ Revision: 671372
- update to 1.000004

* Sun Aug 31 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 669859
- update to 1.000003

* Tue Aug 19 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 665445
- update to 1.000002

* Mon Aug 18 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 665111
- update to 1.000001

* Sat Aug 16 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 664341
- update to 1.000000

* Mon Jul 21 2014 sander85 <sander85> 0.46.0-1.mga5
+ Revision: 655038
- update to 0.046

* Wed Jun 04 2014 sander85 <sander85> 0.44.0-1.mga5
+ Revision: 633089
- update to 0.044

* Tue Apr 15 2014 jquelin <jquelin> 0.42.0-1.mga5
+ Revision: 614726
- update to 0.042

* Tue Mar 25 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 608319
- update to 0.040

* Tue Feb 04 2014 shlomif <shlomif> 0.38.0-1.mga5
+ Revision: 581363
- update to 0.038

* Mon Oct 21 2013 umeabot <umeabot> 0.28.0-2.mga4
+ Revision: 537802
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.28.0-1.mga4
+ Revision: 487798
- update to 0.028

* Tue Sep 10 2013 shlomif <shlomif> 0.26.0-1.mga4
+ Revision: 477072
- update to 0.026

* Wed Aug 28 2013 sander85 <sander85> 0.24.0-1.mga4
+ Revision: 472717
- update to 0.024

* Tue Aug 06 2013 sander85 <sander85> 0.22.0-1.mga4
+ Revision: 464221
- update to 0.022

* Wed Jul 24 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 457594
- update to 0.020

* Mon Jul 22 2013 sander85 <sander85> 0.18.0-1.mga4
+ Revision: 457193
- update to 0.018

* Wed Jul 17 2013 shlomif <shlomif> 0.16.0-1.mga4
+ Revision: 455159
- update to 0.016

* Thu Jul 04 2013 shlomif <shlomif> 0.14.0-1.mga4
+ Revision: 450223
- update to 0.014

* Wed Jun 26 2013 jquelin <jquelin> 0.12.0-1.mga4
+ Revision: 446956
- update to 0.012

* Sat Jun 22 2013 shlomif <shlomif> 0.8.0-1.mga4
+ Revision: 445671
- update to 0.008

* Wed May 29 2013 shlomif <shlomif> 0.6.0-1.mga4
+ Revision: 432281
- imported package perl-Type-Tiny


* Wed May 29 2013 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
